Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	A library of handy utility functions
Name:		glib
Version:	2.26.1
Release:	1
BuildArch:	i686
Provides:	glib2
License:	GNU/LGPL
URL:		http://www.gtk.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2

Source200:	glib2.sh
Source201:	glib2.csh

# gio: Add extension point for informing parties of launched application data
# https://bugzilla.gnome.org/show_bug.cgi?id=606960
Patch0:		gio-bamf.patch	

BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires: gettext
BuildRequires: autoconf

#Automatically resolved build dependencies
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: perl
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description 
GLib is the low-level core library that forms the basis
for projects such as GTK+ and GNOME. It provides data structure
handling for C, portability wrappers, and interfaces for such runtime
functionality as an event loop, threads, dynamic loading, and an 
object system.

This package provides version 2 of GLib.

%package	devel
Summary:	The GIMP ToolKit (GTK+) and GIMP Drawing Kit (GDK) support library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	glib2-devel

%description	devel
The glib2-devel package includes the header files for 
version 2 of the GLib library. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n glib-%{version}
%patch0 -p1

%build
FLAGS=`echo "$RPM_OPT_FLAGS" | sed 's/-Os/-O2/'`
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

for i in config.guess config.sub ; do
	test -f /usr/share/libtool/$i && cp /usr/share/libtool/$i .
done
%configure --disable-gtk-doc --enable-static
make %{?_smp_mflags}

%check

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# we build into /usr/lib, but we want the libraries (but not 
# the devel stuff) in /lib
./mkinstalldirs $RPM_BUILD_ROOT/%{_lib}
pushd $RPM_BUILD_ROOT%{_libdir}
for name in glib gobject gmodule gthread gio; do
  mv lib${name}-2.0.so.* ../../%{_lib}
  ln -sf ../../%{_lib}/lib${name}-2.0.so.*.* lib${name}-2.0.so
done
popd

## glib2.sh and glib2.csh
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE201} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

# strip debug symbols off of binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%find_lang glib20

%files -f glib20.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/bash_completion.d/gdbus-bash-completion.sh
%{_sysconfdir}/bash_completion.d/gsettings-bash-completion.sh
%{_sysconfdir}/profile.d/glib2.csh
%{_sysconfdir}/profile.d/glib2.sh
/lib/libgio-2.0.so.0*
/lib/libglib-2.0.so.0*
/lib/libgmodule-2.0.so.0*
/lib/libgobject-2.0.so.0*
/lib/libgthread-2.0.so.0*
%{_bindir}/gdbus
%{_bindir}/glib-compile-schemas
%{_bindir}/gsettings
%{_libdir}/gio/modules/libgiofam.so
%{_libdir}/libgio-2.0.so
%{_libdir}/libglib-2.0.so
%{_libdir}/libgmodule-2.0.so
%{_libdir}/libgobject-2.0.so
%{_libdir}/libgthread-2.0.so
%{_locale}/*/LC_MESSAGES/glib20.mo
%{_mandir}/man1/gdbus.1.gz
%{_mandir}/man1/glib-compile-schemas.1.gz
%{_mandir}/man1/gsettings.1.gz

%files devel
%defattr(-, root, root, -)
%{_bindir}/gio-querymodules
%{_bindir}/glib-genmarshal
%{_bindir}/glib-gettextize
%{_bindir}/glib-mkenums
%{_bindir}/gobject-query
%{_bindir}/gtester
%{_bindir}/gtester-report
%{_mandir}/man1/gio-querymodules.1.gz
%{_mandir}/man1/glib-genmarshal.1.gz
%{_mandir}/man1/glib-gettextize.1.gz
%{_mandir}/man1/glib-mkenums.1.gz
%{_mandir}/man1/gobject-query.1.gz
%{_mandir}/man1/gtester.1.gz
%{_mandir}/man1/gtester-report.1.gz
%{_includedir}/gio-unix-2.0/gio
%{_includedir}/glib-2.0/gio
%{_includedir}/glib-2.0/glib
%{_includedir}/glib-2.0/glib.h
%{_includedir}/glib-2.0/glib-object.h
%{_includedir}/glib-2.0/gmodule.h
%{_includedir}/glib-2.0/gobject
%{_libdir}/gio/modules/libgiofam.a
%{_libdir}/gio/modules/libgiofam.la
%{_libdir}/glib-2.0/include/glibconfig.h
%{_libdir}/libgio-2.0.a
%{_libdir}/libgio-2.0.la
%{_libdir}/libglib-2.0.a
%{_libdir}/libglib-2.0.la
%{_libdir}/libgmodule-2.0.a
%{_libdir}/libgmodule-2.0.la
%{_libdir}/libgobject-2.0.a
%{_libdir}/libgobject-2.0.la
%{_libdir}/libgthread-2.0.a
%{_libdir}/libgthread-2.0.la
%{_pkgconfig}/gio-2.0.pc
%{_pkgconfig}/gio-unix-2.0.pc
%{_pkgconfig}/glib-2.0.pc
%{_pkgconfig}/gmodule-2.0.pc
%{_pkgconfig}/gmodule-export-2.0.pc
%{_pkgconfig}/gmodule-no-export-2.0.pc
%{_pkgconfig}/gobject-2.0.pc
%{_pkgconfig}/gthread-2.0.pc
%{_aclocal}/glib-2.0.m4
%{_aclocal}/glib-gettext.m4
%{_aclocal}/gsettings.m4
%{_datadir}/gdb/auto-load/usr/lib/libglib-2.0.so.0.2600.1-gdb.py
%{_datadir}/gdb/auto-load/usr/lib/libgobject-2.0.so.0.2600.1-gdb.py
%{_datadir}/glib-2.0/gdb/glib.py
%{_datadir}/glib-2.0/gdb/gobject.py
%{_datadir}/glib-2.0/gettext/mkinstalldirs
%{_datadir}/glib-2.0/gettext/po/Makefile.in.in
%{_datadir}/glib-2.0/schemas/gschema.dtd
%{_datadir}/gtk-doc/html/gio
%{_datadir}/gtk-doc/html/glib
%{_datadir}/gtk-doc/html/gobject


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.26.1-1
- version update
* Fri Dec 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.26.0-2
- added patch for wncksync/bamf extension point support
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.26.0-1
- Version update
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.25.14-2
- rebuilt
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.25.14-1
- Version update
* Thu Aug 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.23.6-2
- added Provides pkgconfig glib-2.0 to devel package
* Wed Mar 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.23.6-1
- Version update
* Wed Mar 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.23.5-1
- Version update
* Mon Feb 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.23.2-1
- Version update
* Sat Nov 21 2009 Christian Metzen <metzench@ccux-linux.de> 2.22.2-1
- Version update
* Mon May 18 2009 Christian Wasem <wasem@ccux-linux.de> 2.20.2-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 2.20.0-1
- Version update
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 2.19.8-1
- Version update
* Tue Sep 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.18.1-1
- Version update
* Wed Apr 09 2008 Christian Wasem <wasem@ccux-linux.de> 2.16.3-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update
* Mon Jan 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.15.0-2
- changed some C++ style comments to C style (breaks compilation of VirtualBox otherwise)
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 2.15.0-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.14.1-1
- Version update
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.11-1
- Version update
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.9-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.12.4-4
- lowered optimization
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.12.4-3
- moved libdir
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.12.4-2
- rebuild, refined provides and requires
* Wed Oct 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.4-1
- Version Update
* Thu Aug 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.3-1
- Version Update
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.2-1
- Version Update
* Mon Jul 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.0-1
- Version Update
* Sat May 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.10.3-1
- Version Update
* Sat May 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.10.3-1
- Version Update
* Sun Apr 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.10.2-1
- Version Update
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 2.10.1-1
- Version Update
* Mon Jan 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.5-1
- Version Update
* Fri Jan 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.4-1
- Version Update
* Tue Jan 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.3-1
- Version Update
* Sun Jan 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.2-1
- Version Update
* Sun Dec 18 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.9.1-2
- reintegrated .la libs to devel package
* Sat Dec 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.9.1-1
- Version update, added static libs
* Wed Nov 16 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.4-1
- Version update
* Tue Oct 04 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.3-1
- Version update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.2-1
- Version update
* Tue Aug 30 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.1-2
- Moved some files
* Tue Aug 30 2005 Christian Wasem <wasem@ccux-linux.de> 2.8.1-1
- Update to Version 2.8.1, moving more files to devel
* Thu Jun 16 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.5-1
- Update to Version 2.6.4
* Thu Apr 07 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.4-1
- Update to Version 2.6.4
* Tue Mar 01 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.3-1
- Update to Version 2.6.3
* Sat Feb 05 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.2-1
- Update to Version 2.6.2
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.1-1
- Update to Version 2.6.1
* Wed Jan 05 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.0-1
- Update to Version 2.6.0
* Mon Dec 20 2004 Christian Metzen <metzench@ccux-linux.de> 2.4.7-1
- Update to Version 2.4.7
